CREATE TABLE ruoyi.gen_table (
  ts TIMESTAMP,
  table_id BIGINT,
  table_name NCHAR(200),
  table_comment NCHAR(500),
  sub_table_name NCHAR(64),
  sub_table_fk_name NCHAR(64),
  class_name NCHAR(100),
  tpl_category NCHAR(200),
  tpl_web_type NCHAR(30),
  package_name NCHAR(100),
  module_name NCHAR(30),
  business_name NCHAR(30),
  function_name NCHAR(50),
  function_author NCHAR(50),
  gen_type NCHAR(1),
  gen_path NCHAR(200),
  options NCHAR(1000),
  create_by NCHAR(64),
  create_time TIMESTAMP,
  update_by NCHAR(64),
  update_time TIMESTAMP,
  remark NCHAR(500)
);
INSERT INTO `ruoyi`.`gen_table` VALUES (now(),1, 'sys_config', '参数配置表', NULL, NULL, 'SysConfig', 'crud', '', 'com.jg.project.system', 'system', 'config', '参数配置', 'jg', '0', '/', NULL, 'admin', '2024-04-25 11:41:54', '', NULL, NULL);
INSERT INTO `ruoyi`.`gen_table` VALUES (now(),2, 'sys_dept', '部门表', NULL, NULL, 'SysDept', 'crud', '', 'com.jg.project.system', 'system', 'dept', '部门', 'jg', '0', '/', NULL, 'admin', '2024-04-25 11:41:54', '', NULL, NULL);
INSERT INTO `ruoyi`.`gen_table` VALUES (now(),3, 'sys_dict_data', '字典数据表', NULL, NULL, 'SysDictData', 'crud', '', 'com.jg.project.system', 'system', 'data', '字典数据', 'jg', '0', '/', NULL, 'admin', '2024-04-25 11:41:54', '', NULL, NULL);
INSERT INTO `ruoyi`.`gen_table` VALUES (now(),4, 'sys_dict_type', '字典类型表', NULL, NULL, 'SysDictType', 'crud', '', 'com.jg.project.system', 'system', 'type', '字典类型', 'jg', '0', '/', NULL, 'admin', '2024-04-25 11:41:54', '', NULL, NULL);
INSERT INTO `ruoyi`.`gen_table` VALUES (now(),5, 'sys_job', '定时任务调度表', NULL, NULL, 'SysJob', 'crud', '', 'com.jg.project.system', 'system', 'job', '定时任务调度', 'jg', '0', '/', NULL, 'admin', '2024-04-25 11:41:54', '', NULL, NULL);
INSERT INTO `ruoyi`.`gen_table` VALUES (now(),6, 'sys_job_log', '定时任务调度日志表', NULL, NULL, 'SysJobLog', 'crud', '', 'com.jg.project.system', 'system', 'log', '定时任务调度日志', 'jg', '0', '/', NULL, 'admin', '2024-04-25 11:41:54', '', NULL, NULL);
INSERT INTO `ruoyi`.`gen_table` VALUES (now(),7, 'sys_logininfor', '系统访问记录', NULL, NULL, 'SysLogininfor', 'crud', '', 'com.jg.project.system', 'system', 'logininfor', '系统访问记录', 'jg', '0', '/', NULL, 'admin', '2024-04-25 11:41:54', '', NULL, NULL);
INSERT INTO `ruoyi`.`gen_table` VALUES (now(),8, 'sys_menu', '菜单权限表', NULL, NULL, 'SysMenu', 'crud', '', 'com.jg.project.system', 'system', 'menu', '菜单权限', 'jg', '0', '/', NULL, 'admin', '2024-04-25 11:41:54', '', NULL, NULL);
INSERT INTO `ruoyi`.`gen_table` VALUES (now(),9, 'sys_notice', '通知公告表', NULL, NULL, 'SysNotice', 'crud', '', 'com.jg.project.system', 'system', 'notice', '通知公告', 'jg', '0', '/', NULL, 'admin', '2024-04-25 11:41:54', '', NULL, NULL);
INSERT INTO `ruoyi`.`gen_table` VALUES (now(),10, 'sys_oper_log', '操作日志记录', NULL, NULL, 'SysOperLog', 'crud', '', 'com.jg.project.system', 'system', 'log', '操作日志记录', 'jg', '0', '/', NULL, 'admin', '2024-04-25 11:41:54', '', NULL, NULL);
INSERT INTO `ruoyi`.`gen_table` VALUES (now(),11, 'sys_post', '岗位信息表', NULL, NULL, 'SysPost', 'crud', '', 'com.jg.project.system', 'system', 'post', '岗位信息', 'jg', '0', '/', NULL, 'admin', '2024-04-25 11:41:54', '', NULL, NULL);
INSERT INTO `ruoyi`.`gen_table` VALUES (now(),12, 'sys_role', '角色信息表', NULL, NULL, 'SysRole', 'crud', '', 'com.jg.project.system', 'system', 'role', '角色信息', 'jg', '0', '/', NULL, 'admin', '2024-04-25 11:41:54', '', NULL, NULL);
INSERT INTO `ruoyi`.`gen_table` VALUES (now(),13, 'sys_role_dept', '角色和部门关联表', NULL, NULL, 'SysRoleDept', 'crud', '', 'com.jg.project.system', 'system', 'dept', '角色和部门关联', 'jg', '0', '/', NULL, 'admin', '2024-04-25 11:41:54', '', NULL, NULL);
INSERT INTO `ruoyi`.`gen_table` VALUES (now(),14, 'sys_role_menu', '角色和菜单关联表', NULL, NULL, 'SysRoleMenu', 'crud', '', 'com.jg.project.system', 'system', 'menu', '角色和菜单关联', 'jg', '0', '/', NULL, 'admin', '2024-04-25 11:41:54', '', NULL, NULL);
INSERT INTO `ruoyi`.`gen_table` VALUES (now(),15, 'sys_user', '用户信息表', NULL, NULL, 'SysUser', 'crud', '', 'com.jg.project.system', 'system', 'user', '用户信息', 'jg', '0', '/', NULL, 'admin', '2024-04-25 11:41:54', '', NULL, NULL);
INSERT INTO `ruoyi`.`gen_table` VALUES (now(),16, 'sys_user_post', '用户与岗位关联表', NULL, NULL, 'SysUserPost', 'crud', '', 'com.jg.project.system', 'system', 'post', '用户与岗位关联', 'jg', '0', '/', NULL, 'admin', '2024-04-25 11:41:54', '', NULL, NULL);
INSERT INTO `ruoyi`.`gen_table` VALUES (now(),17, 'sys_user_role', '用户和角色关联表', NULL, NULL, 'SysUserRole', 'crud', '', 'com.jg.project.system', 'system', 'role', '用户和角色关联', 'jg', '0', '/', NULL, 'admin', '2024-04-25 11:41:54', '', NULL, NULL);


CREATE TABLE ruoyi.gen_table_column (
  ts TIMESTAMP,
  column_id BIGINT, 
  table_id BIGINT, 
  column_name NCHAR(200), 
  column_comment NCHAR(500), 
  column_type NCHAR(100), 
  java_type NCHAR(500), 
  java_field NCHAR(200), 
  is_pk NCHAR(1), 
  is_increment NCHAR(1), 
  is_required NCHAR(1), 
  is_insert NCHAR(1), 
  is_edit NCHAR(1), 
  is_list NCHAR(1), 
  is_query NCHAR(1), 
  query_type NCHAR(200), 
  html_type NCHAR(200), 
  dict_type NCHAR(200), 
  sort INT, 
  create_by NCHAR(64), 
  create_time TIMESTAMP, 
  update_by NCHAR(64), 
  update_time TIMESTAMP
);
INSERT INTO `ruoyi`.`gen_table_column` VALUES ('2024-10-15 09:48:24', 1, 1, 'config_id', '参数主键', 'int', 'Long', 'configId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:25', 2, 1, 'config_name', '参数名称', 'varchar(100)', 'String', 'configName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:26', 3, 1, 'config_key', '参数键名', 'varchar(100)', 'String', 'configKey', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:27', 4, 1, 'config_value', '参数键值', 'varchar(500)', 'String', 'configValue', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 4, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:28', 5, 1, 'config_type', '系统内置（Y是 N否）', 'char(1)', 'String', 'configType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 5, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:29', 6, 1, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:30', 7, 1, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:31', 8, 1, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:32', 9, 1, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:33', 10, 1, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 10, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:34', 11, 2, 'dept_id', '部门id', 'bigint', 'Long', 'deptId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:35', 12, 2, 'parent_id', '父部门id', 'bigint', 'Long', 'parentId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:36', 13, 2, 'ancestors', '祖级列表', 'varchar(50)', 'String', 'ancestors', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:37', 14, 2, 'dept_name', '部门名称', 'varchar(30)', 'String', 'deptName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 4, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:38', 15, 2, 'order_num', '显示顺序', 'int', 'Long', 'orderNum', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:39', 16, 2, 'leader', '负责人', 'varchar(20)', 'String', 'leader', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:40', 17, 2, 'phone', '联系电话', 'varchar(11)', 'String', 'phone', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:41', 18, 2, 'email', '邮箱', 'varchar(50)', 'String', 'email', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:42', 19, 2, 'status', '部门状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 9, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:43', 20, 2, 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:44', 21, 2, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 11, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:45', 22, 2, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 12, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:46', 23, 2, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 13, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:47', 24, 2, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 14, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:48', 25, 3, 'dict_code', '字典编码', 'bigint', 'Long', 'dictCode', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:49', 26, 3, 'dict_sort', '字典排序', 'int', 'Long', 'dictSort', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:50', 27, 3, 'dict_label', '字典标签', 'varchar(100)', 'String', 'dictLabel', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:51', 28, 3, 'dict_value', '字典键值', 'varchar(100)', 'String', 'dictValue', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:52', 29, 3, 'dict_type', '字典类型', 'varchar(100)', 'String', 'dictType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 5, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:53', 30, 3, 'css_class', '样式属性（其他样式扩展）', 'varchar(100)', 'String', 'cssClass', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:54', 31, 3, 'list_class', '表格回显样式', 'varchar(100)', 'String', 'listClass', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:55', 32, 3, 'is_default', '是否默认（Y是 N否）', 'char(1)', 'String', 'isDefault', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:56', 33, 3, 'status', '状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 9, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:57', 34, 3, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:58', 35, 3, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:48:59', 36, 3, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:00', 37, 3, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:01', 38, 3, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 14, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:02', 39, 4, 'dict_id', '字典主键', 'bigint', 'Long', 'dictId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:03', 40, 4, 'dict_name', '字典名称', 'varchar(100)', 'String', 'dictName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:04', 41, 4, 'dict_type', '字典类型', 'varchar(100)', 'String', 'dictType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:05', 42, 4, 'status', '状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 4, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:06', 43, 4, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:07', 44, 4, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:08', 45, 4, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:09', 46, 4, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:10', 47, 4, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 9, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:11', 48, 5, 'job_id', '任务ID', 'bigint', 'Long', 'jobId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:12', 49, 5, 'job_name', '任务名称', 'varchar(64)', 'String', 'jobName', '1', '0', '0', '1', NULL, NULL, NULL, 'LIKE', 'input', '', 2, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:13', 50, 5, 'job_group', '任务组名', 'varchar(64)', 'String', 'jobGroup', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:14', 51, 5, 'invoke_target', '调用目标字符串', 'varchar(500)', 'String', 'invokeTarget', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'textarea', '', 4, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:15', 52, 5, 'cron_expression', 'cron执行表达式', 'varchar(255)', 'String', 'cronExpression', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:16', 53, 5, 'misfire_policy', '计划执行错误策略（1立即执行 2执行一次 3放弃执行）', 'varchar(20)', 'String', 'misfirePolicy', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:17', 54, 5, 'concurrent', '是否并发执行（0允许 1禁止）', 'char(1)', 'String', 'concurrent', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:18', 55, 5, 'status', '状态（0正常 1暂停）', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 8, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:19', 56, 5, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:20', 57, 5, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 10, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:21', 58, 5, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 11, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:22', 59, 5, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 12, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:23', 60, 5, 'remark', '备注信息', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 13, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:24', 61, 6, 'job_log_id', '任务日志ID', 'bigint', 'Long', 'jobLogId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:25', 62, 6, 'job_name', '任务名称', 'varchar(64)', 'String', 'jobName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:26', 63, 6, 'job_group', '任务组名', 'varchar(64)', 'String', 'jobGroup', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:27', 64, 6, 'invoke_target', '调用目标字符串', 'varchar(500)', 'String', 'invokeTarget', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'textarea', '', 4, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:28', 65, 6, 'job_message', '日志信息', 'varchar(500)', 'String', 'jobMessage', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 5, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:29', 66, 6, 'status', '执行状态（0正常 1失败）', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 6, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:30', 67, 6, 'exception_info', '异常信息', 'varchar(2000)', 'String', 'exceptionInfo', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 7, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:31', 68, 6, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:32', 69, 7, 'info_id', '访问ID', 'bigint', 'Long', 'infoId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:33', 70, 7, 'user_name', '用户账号', 'varchar(50)', 'String', 'userName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:34', 71, 7, 'ipaddr', '登录IP地址', 'varchar(128)', 'String', 'ipaddr', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:35', 72, 7, 'login_location', '登录地点', 'varchar(255)', 'String', 'loginLocation', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:36', 73, 7, 'browser', '浏览器类型', 'varchar(50)', 'String', 'browser', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:37', 74, 7, 'os', '操作系统', 'varchar(50)', 'String', 'os', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:38', 75, 7, 'status', '登录状态（0成功 1失败）', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 7, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:39', 76, 7, 'msg', '提示消息', 'varchar(255)', 'String', 'msg', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:40', 77, 7, 'login_time', '访问时间', 'datetime', 'Date', 'loginTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 9, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:41', 78, 8, 'menu_id', '菜单ID', 'bigint', 'Long', 'menuId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:42', 79, 8, 'menu_name', '菜单名称', 'varchar(50)', 'String', 'menuName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:43', 80, 8, 'parent_id', '父菜单ID', 'bigint', 'Long', 'parentId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:44', 81, 8, 'order_num', '显示顺序', 'int', 'Long', 'orderNum', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:45', 82, 8, 'path', '路由地址', 'varchar(200)', 'String', 'path', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:46', 83, 8, 'component', '组件路径', 'varchar(255)', 'String', 'component', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:47', 84, 8, 'query', '路由参数', 'varchar(255)', 'String', 'query', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:48', 85, 8, 'is_frame', '是否为外链（0是 1否）', 'int', 'Long', 'isFrame', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:49', 86, 8, 'is_cache', '是否缓存（0缓存 1不缓存）', 'int', 'Long', 'isCache', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:50', 87, 8, 'menu_type', '菜单类型（M目录 C菜单 F按钮）', 'char(1)', 'String', 'menuType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 10, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:51', 88, 8, 'visible', '菜单状态（0显示 1隐藏）', 'char(1)', 'String', 'visible', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:52', 89, 8, 'status', '菜单状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 12, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:53', 90, 8, 'perms', '权限标识', 'varchar(100)', 'String', 'perms', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:54', 91, 8, 'icon', '菜单图标', 'varchar(100)', 'String', 'icon', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:55', 92, 8, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 15, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:56', 93, 8, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 16, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:57', 94, 8, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 17, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:58', 95, 8, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 18, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:49:59', 96, 8, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 19, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:00', 97, 9, 'notice_id', '公告ID', 'int', 'Long', 'noticeId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:01', 98, 9, 'notice_title', '公告标题', 'varchar(50)', 'String', 'noticeTitle', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:02', 99, 9, 'notice_type', '公告类型（1通知 2公告）', 'char(1)', 'String', 'noticeType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:03', 100, 9, 'notice_content', '公告内容', 'longblob', 'String', 'noticeContent', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'editor', '', 4, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:04', 101, 9, 'status', '公告状态（0正常 1关闭）', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 5, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:05', 102, 9, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:06', 103, 9, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:07', 104, 9, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:08', 105, 9, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:09', 106, 9, 'remark', '备注', 'varchar(255)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 10, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:10', 107, 10, 'oper_id', '日志主键', 'bigint', 'Long', 'operId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:11', 108, 10, 'title', '模块标题', 'varchar(50)', 'String', 'title', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:12', 109, 10, 'business_type', '业务类型（0其它 1新增 2修改 3删除）', 'int', 'Long', 'businessType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:13', 110, 10, 'method', '方法名称', 'varchar(100)', 'String', 'method', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:14', 111, 10, 'request_method', '请求方式', 'varchar(10)', 'String', 'requestMethod', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:15', 112, 10, 'operator_type', '操作类别（0其它 1后台用户 2手机端用户）', 'int', 'Long', 'operatorType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 6, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:16', 113, 10, 'oper_name', '操作人员', 'varchar(50)', 'String', 'operName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 7, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:17', 114, 10, 'dept_name', '部门名称', 'varchar(50)', 'String', 'deptName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 8, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:18', 115, 10, 'oper_url', '请求URL', 'varchar(255)', 'String', 'operUrl', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:19', 116, 10, 'oper_ip', '主机地址', 'varchar(128)', 'String', 'operIp', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:20', 117, 10, 'oper_location', '操作地点', 'varchar(255)', 'String', 'operLocation', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:21', 118, 10, 'oper_param', '请求参数', 'varchar(2000)', 'String', 'operParam', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 12, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:22', 119, 10, 'json_result', '返回参数', 'varchar(2000)', 'String', 'jsonResult', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 13, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:23', 120, 10, 'status', '操作状态（0正常 1异常）', 'int', 'Long', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 14, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:24', 121, 10, 'error_msg', '错误消息', 'varchar(2000)', 'String', 'errorMsg', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 15, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:25', 122, 10, 'oper_time', '操作时间', 'datetime', 'Date', 'operTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 16, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:26', 123, 10, 'cost_time', '消耗时间', 'bigint', 'Long', 'costTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 17, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:27', 124, 11, 'post_id', '岗位ID', 'bigint', 'Long', 'postId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:28', 125, 11, 'post_code', '岗位编码', 'varchar(64)', 'String', 'postCode', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:29', 126, 11, 'post_name', '岗位名称', 'varchar(50)', 'String', 'postName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:30', 127, 11, 'post_sort', '显示顺序', 'int', 'Long', 'postSort', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:31', 128, 11, 'status', '状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 5, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:32', 129, 11, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:33', 130, 11, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:34', 131, 11, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:35', 132, 11, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:36', 133, 11, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 10, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:37', 134, 12, 'role_id', '角色ID', 'bigint', 'Long', 'roleId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:38', 135, 12, 'role_name', '角色名称', 'varchar(30)', 'String', 'roleName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:39', 136, 12, 'role_key', '角色权限字符串', 'varchar(100)', 'String', 'roleKey', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:40', 137, 12, 'role_sort', '显示顺序', 'int', 'Long', 'roleSort', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:41', 138, 12, 'data_scope', '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）', 'char(1)', 'String', 'dataScope', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:42', 139, 12, 'menu_check_strictly', '菜单树选择项是否关联显示', 'tinyint(1)', 'Integer', 'menuCheckStrictly', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:43', 140, 12, 'dept_check_strictly', '部门树选择项是否关联显示', 'tinyint(1)', 'Integer', 'deptCheckStrictly', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:44', 141, 12, 'status', '角色状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 8, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:45', 142, 12, 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:46', 143, 12, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:47', 144, 12, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:48', 145, 12, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:49', 146, 12, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:50', 147, 12, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 14, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:51', 148, 13, 'role_id', '角色ID', 'bigint', 'Long', 'roleId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:52', 149, 13, 'dept_id', '部门ID', 'bigint', 'Long', 'deptId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:53', 150, 14, 'role_id', '角色ID', 'bigint', 'Long', 'roleId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:54', 151, 14, 'menu_id', '菜单ID', 'bigint', 'Long', 'menuId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:55', 152, 15, 'user_id', '用户ID', 'bigint', 'Long', 'userId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:56', 153, 15, 'dept_id', '部门ID', 'bigint', 'Long', 'deptId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:57', 154, 15, 'user_name', '用户账号', 'varchar(30)', 'String', 'userName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:58', 155, 15, 'nick_name', '用户昵称', 'varchar(30)', 'String', 'nickName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 4, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:50:59', 156, 15, 'user_type', '用户类型（00系统用户）', 'varchar(2)', 'String', 'userType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 5, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:51:00', 157, 15, 'email', '用户邮箱', 'varchar(50)', 'String', 'email', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:51:01', 158, 15, 'phonenumber', '手机号码', 'varchar(11)', 'String', 'phonenumber', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:51:02', 159, 15, 'sex', '用户性别（0男 1女 2未知）', 'char(1)', 'String', 'sex', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 8, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:51:03', 160, 15, 'avatar', '头像地址', 'varchar(100)', 'String', 'avatar', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:51:04', 161, 15, 'password', '密码', 'varchar(100)', 'String', 'password', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:51:05', 162, 15, 'status', '帐号状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 11, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:51:06', 163, 15, 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:51:07', 164, 15, 'login_ip', '最后登录IP', 'varchar(128)', 'String', 'loginIp', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:51:08', 165, 15, 'login_date', '最后登录时间', 'datetime', 'Date', 'loginDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 14, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:51:09', 166, 15, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 15, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:51:10', 167, 15, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 16, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:51:11', 168, 15, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 17, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:51:12', 169, 15, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 18, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:51:13', 170, 15, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 19, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:51:14', 171, 16, 'user_id', '用户ID', 'bigint', 'Long', 'userId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:51:15', 172, 16, 'post_id', '岗位ID', 'bigint', 'Long', 'postId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:51:16', 173, 17, 'user_id', '用户ID', 'bigint', 'Long', 'userId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-04-25 11:41:54', '', NULL),
('2024-10-15 09:51:17', 174, 17, 'role_id', '角色ID', 'bigint', 'Long', 'roleId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2024-04-25 11:41:54', '', NULL);

CREATE TABLE ruoyi.qrtz_blob_triggers (
  ts TIMESTAMP,
  sched_name NCHAR(120),
  trigger_name NCHAR(200),
  trigger_group NCHAR(200),
  blob_data BINARY(5000)
);

CREATE TABLE ruoyi.qrtz_calendars (
  ts TIMESTAMP,
  sched_name NCHAR(120),
  calendar_name NCHAR(200),
  calendar BINARY(5000)
);

CREATE TABLE ruoyi.qrtz_cron_triggers (
  ts TIMESTAMP,
  sched_name NCHAR(120),
  trigger_name NCHAR(200),
  trigger_group NCHAR(200),
  cron_expression NCHAR(200),
  time_zone_id NCHAR(80)
);

CREATE TABLE ruoyi.qrtz_fired_triggers (
  ts TIMESTAMP,
  sched_name NCHAR(120),
  entry_id NCHAR(95),
  trigger_name NCHAR(200),
  trigger_group NCHAR(200),
  instance_name NCHAR(200),
  fired_time BIGINT,
  sched_time BIGINT,
  priority BIGINT,
  `state` NCHAR(16),
  job_name NCHAR(200),
  job_group NCHAR(200),
  is_nonconcurrent NCHAR(1),
  requests_recovery NCHAR(1)
);

CREATE TABLE ruoyi.qrtz_job_details (
  ts TIMESTAMP,
  sched_name NCHAR(120),
  job_name NCHAR(200),
  job_group NCHAR(200),
  description NCHAR(250),
  job_class_name NCHAR(250),
  is_durable NCHAR(1),
  is_nonconcurrent NCHAR(1),
  is_update_data NCHAR(1),
  requests_recovery NCHAR(1),
  job_data BINARY(16384)
);

CREATE TABLE ruoyi.qrtz_locks (
  ts TIMESTAMP,
  sched_name NCHAR(120),
  lock_name NCHAR(40)
);

CREATE TABLE ruoyi.qrtz_paused_trigger_grps (
  ts TIMESTAMP,
  sched_name NCHAR(120),
  trigger_group NCHAR(200)
);

CREATE TABLE ruoyi.qrtz_scheduler_state (
  ts TIMESTAMP,
  sched_name NCHAR(120),
  instance_name NCHAR(200),
  last_checkin_time BIGINT,
  checkin_interval BIGINT
);

CREATE TABLE ruoyi.qrtz_simple_triggers (
  ts TIMESTAMP,
  sched_name NCHAR(120),
  trigger_name NCHAR(200),
  trigger_group NCHAR(200),
  repeat_count BIGINT,
  repeat_interval BIGINT,
  times_triggered BIGINT
);

CREATE TABLE ruoyi.qrtz_simprop_triggers (
  ts TIMESTAMP,
  sched_name NCHAR(120),
  trigger_name NCHAR(200),
  trigger_group NCHAR(200),
  str_prop_1 NCHAR(512),
  str_prop_2 NCHAR(512),
  str_prop_3 NCHAR(512),
  int_prop_1 INT,
  int_prop_2 INT,
  long_prop_1 BIGINT,
  long_prop_2 BIGINT,
  dec_prop_1 DOUBLE,
  dec_prop_2 DOUBLE,
  bool_prop_1 NCHAR(1),
  bool_prop_2 NCHAR(1)
);

CREATE TABLE ruoyi.qrtz_triggers (
  ts TIMESTAMP,
  sched_name NCHAR(120),
  trigger_name NCHAR(200),
  trigger_group NCHAR(200),
  job_name NCHAR(200),
  job_group NCHAR(200),
  description NCHAR(250),
  next_fire_time BIGINT,
  prev_fire_time BIGINT,
  priority INT,
  trigger_state NCHAR(16),
  trigger_type NCHAR(8),
  start_time BIGINT,
  end_time BIGINT,
  calendar_name NCHAR(200),
  misfire_instr SMALLINT,
  job_data BINARY(6000)
);

CREATE TABLE ruoyi.sys_config (
  ts TIMESTAMP,
  config_id INT,
  config_name NCHAR(100),
  config_key NCHAR(100),
  config_value NCHAR(500),
  config_type NCHAR(1),
  create_by NCHAR(64),
  create_time TIMESTAMP,
  update_by NCHAR(64),
  update_time TIMESTAMP,
  remark NCHAR(500)
);
INSERT INTO ruoyi.sys_config VALUES 
	('2024-10-16 09:32:00', 1, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 'admin', '2024-04-25 11:38:38', '', NULL, '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow'),
	('2024-10-16 09:32:01', 2, '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 'admin', '2024-04-25 11:38:38', '', NULL, '初始化密码 123456'),
	('2024-10-16 09:32:02', 3, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 'admin', '2024-04-25 11:38:38', '', NULL, '深色主题theme-dark，浅色主题theme-light'),
	('2024-10-16 09:32:03', 4, '账号自助-验证码开关', 'sys.account.captchaEnabled', 'false', 'Y', 'admin', '2024-04-25 11:38:38', 'admin', '2024-04-25 11:40:06', '是否开启验证码功能（true开启，false关闭）'),
	('2024-10-16 09:32:04', 5, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 'admin', '2024-04-25 11:38:38', '', NULL, '是否开启注册用户功能（true开启，false关闭）'),
	('2024-10-16 09:32:05', 6, '用户登录-黑名单列表', 'sys.login.blackIPList', '', 'Y', 'admin', '2024-04-25 11:38:38', '', NULL, '设置登录IP黑名单限制，多个匹配项以;分隔，支持匹配（*通配、网段）');


CREATE TABLE ruoyi.sys_dept (
  ts TIMESTAMP,
  dept_id BIGINT,
  parent_id BIGINT,
  ancestors NCHAR(50),
  dept_name NCHAR(30),
  order_num INT,
  `leader` NCHAR(20),
  phone NCHAR(11),
  email NCHAR(50),
  status NCHAR(1),
  del_flag NCHAR(1),
  create_by NCHAR(64),
  create_time TIMESTAMP,
  update_by NCHAR(64),
  update_time TIMESTAMP
);
INSERT INTO ruoyi.sys_dept VALUES 
	('2024-10-16 09:27:00', 100, 0, '0', 'JG科技', 0, 'jG', '15888888888', 'JG@qq.com', '0', '0', 'admin', '2024-04-25 11:38:38', 'admin', '2024-04-25 11:42:35'),
	('2024-10-16 09:27:01', 101, 100, '0,100', '深圳总公司', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-04-25 11:38:38', '', NULL),
	('2024-10-16 09:27:02', 102, 100, '0,100', '长沙分公司', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-04-25 11:38:38', '', NULL),
	('2024-10-16 09:27:03', 103, 101, '0,100,101', '研发部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-04-25 11:38:38', '', NULL),
	('2024-10-16 09:27:04', 104, 101, '0,100,101', '市场部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-04-25 11:38:38', '', NULL),
	('2024-10-16 09:27:05', 105, 101, '0,100,101', '测试部门', 3, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-04-25 11:38:38', '', NULL),
	('2024-10-16 09:27:06', 106, 101, '0,100,101', '财务部门', 4, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-04-25 11:38:38', '', NULL),
	('2024-10-16 09:27:07', 107, 101, '0,100,101', '运维部门', 5, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-04-25 11:38:38', '', NULL),
	('2024-10-16 09:27:08', 108, 102, '0,100,102', '市场部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-04-25 11:38:38', '', NULL),
	('2024-10-16 09:27:09', 109, 102, '0,100,102', '财务部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-04-25 11:38:38', '', NULL);


CREATE TABLE ruoyi.sys_dict_data (
  ts TIMESTAMP,
  dict_code BIGINT,
  dict_sort INT,
  dict_label NCHAR(100),
  dict_value NCHAR(100),
  dict_type NCHAR(100),
  css_class NCHAR(100),
  list_class NCHAR(100),
  is_default NCHAR(1),
  status NCHAR(1),
  create_by NCHAR(64),
  create_time TIMESTAMP,
  update_by NCHAR(64),
  update_time TIMESTAMP,
  remark NCHAR(500)
);
INSERT INTO ruoyi.sys_dict_data VALUES 
	('2024-10-16 09:16:09', 1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '性别男'),
	('2024-10-16 09:16:10', 2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '性别女'),
	('2024-10-16 09:16:11', 3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '性别未知'),
	('2024-10-16 09:16:12', 4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '显示菜单'),
	('2024-10-16 09:16:13', 5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '隐藏菜单'),
	('2024-10-16 09:16:14', 6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '正常状态'),
	('2024-10-16 09:16:15', 7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '停用状态'),
	('2024-10-16 09:16:16', 8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '正常状态'),
	('2024-10-16 09:16:17', 9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '停用状态'),
	('2024-10-16 09:16:18', 10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '默认分组'),
	('2024-10-16 09:16:19', 11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '系统分组'),
	('2024-10-16 09:16:20', 12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '系统默认是'),
	('2024-10-16 09:16:21', 13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '系统默认否'),
	('2024-10-16 09:16:22', 14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '通知'),
	('2024-10-16 09:16:23', 15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '公告'),
	('2024-10-16 09:16:24', 16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '正常状态'),
	('2024-10-16 09:16:25', 17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '关闭状态'),
	('2024-10-16 09:16:26', 18, 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '其他操作'),
	('2024-10-16 09:16:27', 19, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '新增操作'),
	('2024-10-16 09:16:28', 20, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '修改操作'),
	('2024-10-16 09:16:29', 21, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '删除操作'),
	('2024-10-16 09:16:30', 22, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '授权操作'),
	('2024-10-16 09:16:31', 23, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '导出操作'),
	('2024-10-16 09:16:32', 24, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '导入操作'),
	('2024-10-16 09:16:33', 25, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '强退操作'),
	('2024-10-16 09:16:34', 26, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '生成操作'),
	('2024-10-16 09:16:35', 27, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '清空操作'),
	('2024-10-16 09:16:36', 28, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '正常状态'),
	('2024-10-16 09:16:37', 29, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '停用状态');


CREATE TABLE ruoyi.sys_dict_type (
  ts TIMESTAMP,
  dict_id BIGINT,
  dict_name NCHAR(100),
  dict_type NCHAR(100),
  status NCHAR(1),
  create_by NCHAR(64),
  create_time TIMESTAMP,
  update_by NCHAR(64),
  update_time TIMESTAMP,
  remark NCHAR(500)
);
INSERT INTO ruoyi.sys_dict_type VALUES 
	('2024-10-16 09:16:09', 1, '用户性别', 'sys_user_sex', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '用户性别列表'),
	('2024-10-16 09:16:10', 2, '菜单状态', 'sys_show_hide', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '菜单状态列表'),
	('2024-10-16 09:16:11', 3, '系统开关', 'sys_normal_disable', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '系统开关列表'),
	('2024-10-16 09:16:12', 4, '任务状态', 'sys_job_status', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '任务状态列表'),
	('2024-10-16 09:16:13', 5, '任务分组', 'sys_job_group', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '任务分组列表'),
	('2024-10-16 09:16:14', 6, '系统是否', 'sys_yes_no', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '系统是否列表'),
	('2024-10-16 09:16:15', 7, '通知类型', 'sys_notice_type', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '通知类型列表'),
	('2024-10-16 09:16:16', 8, '通知状态', 'sys_notice_status', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '通知状态列表'),
	('2024-10-16 09:16:17', 9, '操作类型', 'sys_oper_type', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '操作类型列表'),
	('2024-10-16 09:16:18', 10, '系统状态', 'sys_common_status', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '登录状态列表');


CREATE TABLE ruoyi.sys_job (
  ts TIMESTAMP,
  job_id BIGINT,
  job_name NCHAR(64),
  job_group NCHAR(64),
  invoke_target NCHAR(500),
  cron_expression NCHAR(255),
  misfire_policy NCHAR(20),
  concurrent NCHAR(1),
  status NCHAR(1),
  create_by NCHAR(64),
  create_time TIMESTAMP,
  update_by NCHAR(64),
  update_time TIMESTAMP,
  remark NCHAR(500)
);
INSERT INTO ruoyi.sys_job VALUES 
	('2024-10-16 09:16:09', 1, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '0/10 * * * * ?', '3', '1', '1', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
	('2024-10-16 09:16:10', 2, '系统默认（有参）', 'DEFAULT', 'ryTask.ryParams(\'ry\')', '0/15 * * * * ?', '3', '1', '1', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
	('2024-10-16 09:16:11', 3, '系统默认（多参）', 'DEFAULT', 'ryTask.ryMultipleParams(\'ry\', true, 2000L, 316.50D, 100)', '0/20 * * * * ?', '3', '1', '1', 'admin', '2024-04-25 11:38:38', '', NULL, '');


CREATE TABLE ruoyi.sys_job_log (
  ts TIMESTAMP,
  job_log_id BIGINT,
  job_name NCHAR(64),
  job_group NCHAR(64),
  invoke_target NCHAR(500),
  job_message NCHAR(500),
  status NCHAR(1),
  exception_info NCHAR(2000),
  create_time TIMESTAMP
);

CREATE TABLE ruoyi.sys_logininfor (
  ts TIMESTAMP,
  info_id BIGINT,
  user_name NCHAR(50),
  ipaddr NCHAR(128),
  login_location NCHAR(255),
  browser NCHAR(50),
  os NCHAR(50),
  status NCHAR(1),
  msg NCHAR(255),
  login_time TIMESTAMP
);
INSERT INTO ruoyi.sys_logininfor VALUES 
	('2024-10-16 09:16:09', 100, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-04-25 11:39:16'),
	('2024-10-16 09:16:10', 101, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-25 11:39:28'),
	('2024-10-16 09:16:11', 102, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2024-04-25 11:39:35'),
	('2024-10-16 09:16:12', 103, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-25 11:39:39'),
	('2024-10-16 09:16:13', 104, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-04-25 11:48:36'),
	('2024-10-16 09:16:14', 105, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-25 11:48:38'),
	('2024-10-16 09:16:15', 106, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-25 11:48:55');


CREATE TABLE ruoyi.sys_menu (
  ts TIMESTAMP,
  menu_id BIGINT,
  menu_name NCHAR(50),
  parent_id BIGINT,
  order_num INT,
  path NCHAR(200),
  component NCHAR(255),
  `query` NCHAR(255),
  is_frame INT,
  is_cache INT,
  menu_type NCHAR(1),
  visible NCHAR(1),
  status NCHAR(1),
  perms NCHAR(100),
  icon NCHAR(100),
  create_by NCHAR(64),
  create_time TIMESTAMP,
  update_by NCHAR(64),
  update_time TIMESTAMP,
  remark NCHAR(500)
);
INSERT INTO ruoyi.sys_menu VALUES
    ('2024-10-16 09:18:00', 1, '系统管理', 0, 1, 'system', NULL, '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2024-04-25 11:38:38', '', NULL, '系统管理目录'),
    ('2024-10-16 09:18:01', 2, '系统监控', 0, 2, 'monitor', NULL, '', 1, 0, 'M', '0', '0', '', 'monitor', 'admin', '2024-04-25 11:38:38', '', NULL, '系统监控目录'),
    ('2024-10-16 09:18:02', 3, '系统工具', 0, 3, 'tool', NULL, '', 1, 0, 'M', '0', '0', '', 'tool', 'admin', '2024-04-25 11:38:38', '', NULL, '系统工具目录'),
    ('2024-10-16 09:18:03', 100, '用户管理', 1, 1, 'user', 'system/user/index', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2024-04-25 11:38:38', '', NULL, '用户管理菜单'),
    ('2024-10-16 09:18:04', 101, '角色管理', 1, 2, 'role', 'system/role/index', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 'admin', '2024-04-25 11:38:38', '', NULL, '角色管理菜单'),
    ('2024-10-16 09:18:05', 102, '菜单管理', 1, 3, 'menu', 'system/menu/index', '', 1, 0, 'C', '0', '0', 'system:menu:list', 'tree-table', 'admin', '2024-04-25 11:38:38', '', NULL, '菜单管理菜单'),
    ('2024-10-16 09:18:06', 103, '部门管理', 1, 4, 'dept', 'system/dept/index', '', 1, 0, 'C', '0', '0', 'system:dept:list', 'tree', 'admin', '2024-04-25 11:38:38', '', NULL, '部门管理菜单'),
    ('2024-10-16 09:18:07', 104, '岗位管理', 1, 5, 'post', 'system/post/index', '', 1, 0, 'C', '0', '0', 'system:post:list', 'post', 'admin', '2024-04-25 11:38:38', '', NULL, '岗位管理菜单'),
    ('2024-10-16 09:18:08', 105, '字典管理', 1, 6, 'dict', 'system/dict/index', '', 1, 0, 'C', '0', '0', 'system:dict:list', 'dict', 'admin', '2024-04-25 11:38:38', '', NULL, '字典管理菜单'),
    ('2024-10-16 09:18:09', 106, '参数设置', 1, 7, 'config', 'system/config/index', '', 1, 0, 'C', '0', '0', 'system:config:list', 'edit', 'admin', '2024-04-25 11:38:38', '', NULL, '参数设置菜单'),
    ('2024-10-16 09:18:10', 107, '通知公告', 1, 8, 'notice', 'system/notice/index', '', 1, 0, 'C', '0', '0', 'system:notice:list', 'message', 'admin', '2024-04-25 11:38:38', '', NULL, '通知公告菜单'),
    ('2024-10-16 09:18:11', 108, '日志管理', 1, 9, 'log', '', '', 1, 0, 'M', '0', '0', '', 'log', 'admin', '2024-04-25 11:38:38', '', NULL, '日志管理菜单'),
    ('2024-10-16 09:18:12', 109, '在线用户', 2, 1, 'online', 'monitor/online/index', '', 1, 0, 'C', '0', '0', 'monitor:online:list', 'online', 'admin', '2024-04-25 11:38:38', '', NULL, '在线用户菜单'),
    ('2024-10-16 09:18:13', 110, '定时任务', 2, 2, 'job', 'monitor/job/index', '', 1, 0, 'C', '0', '0', 'monitor:job:list', 'job', 'admin', '2024-04-25 11:38:38', '', NULL, '定时任务菜单'),
    ('2024-10-16 09:18:14', 111, '数据监控', 2, 3, 'druid', 'monitor/druid/index', '', 1, 0, 'C', '0', '0', 'monitor:druid:list', 'druid', 'admin', '2024-04-25 11:38:38', '', NULL, '数据监控菜单'),
    ('2024-10-16 09:18:15', 112, '服务监控', 2, 4, 'server', 'monitor/server/index', '', 1, 0, 'C', '0', '0', 'monitor:server:list', 'server', 'admin', '2024-04-25 11:38:38', '', NULL, '服务监控菜单'),
    ('2024-10-16 09:18:16', 113, '缓存监控', 2, 5, 'cache', 'monitor/cache/index', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis', 'admin', '2024-04-25 11:38:38', '', NULL, '缓存监控菜单'),
    ('2024-10-16 09:18:17', 114, '缓存列表', 2, 6, 'cacheList', 'monitor/cache/list', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis-list', 'admin', '2024-04-25 11:38:38', '', NULL, '缓存列表菜单'),
    ('2024-10-16 09:18:18', 116, '代码生成', 3, 2, 'gen', 'tool/gen/index', '', 1, 0, 'C', '0', '0', 'tool:gen:list', 'code', 'admin', '2024-04-25 11:38:38', '', NULL, '代码生成菜单'),
    ('2024-10-16 09:18:19', 117, '系统接口', 3, 3, 'swagger', 'tool/swagger/index', '', 1, 0, 'C', '0', '0', 'tool:swagger:list', 'swagger', 'admin', '2024-04-25 11:38:38', '', NULL, '系统接口菜单'),
    ('2024-10-16 09:18:20', 500, '操作日志', 108, 1, 'operlog', 'monitor/operlog/index', '', 1, 0, 'C', '0', '0', 'monitor:operlog:list', 'form', 'admin', '2024-04-25 11:38:38', '', NULL, '操作日志菜单'),
    ('2024-10-16 09:18:21', 501, '登录日志', 108, 2, 'logininfor', 'monitor/logininfor/index', '', 1, 0, 'C', '0', '0', 'monitor:logininfor:list', 'logininfor', 'admin', '2024-04-25 11:38:38', '', NULL, '登录日志菜单'),
    ('2024-10-16 09:18:22', 1000, '用户查询', 100, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:23', 1001, '用户新增', 100, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:24', 1002, '用户修改', 100, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:25', 1003, '用户删除', 100, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:26', 1004, '用户导出', 100, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:27', 1005, '用户导入', 100, 6, '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:28', 1006, '重置密码', 100, 7, '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:29', 1007, '角色查询', 101, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:30', 1008, '角色新增', 101, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:31', 1009, '角色修改', 101, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:32', 1010, '角色删除', 101, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:33', 1011, '角色导出', 101, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:34', 1012, '菜单查询', 102, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:35', 1013, '菜单新增', 102, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:36', 1014, '菜单修改', 102, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:37', 1015, '菜单删除', 102, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:38', 1016, '部门查询', 103, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:39', 1017, '部门新增', 103, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:40', 1018, '部门修改', 103, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:41', 1019, '部门删除', 103, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:42', 1020, '岗位查询', 104, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:43', 1021, '岗位新增', 104, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:44', 1022, '岗位修改', 104, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:45', 1023, '岗位删除', 104, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:46', 1024, '岗位导出', 104, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:47', 1025, '字典查询', 105, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:48', 1026, '字典新增', 105, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:49', 1027, '字典修改', 105, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:50', 1028, '字典删除', 105, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:51', 1029, '字典导出', 105, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:52', 1030, '参数查询', 106, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:53', 1031, '参数新增', 106, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:54', 1032, '参数修改', 106, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:55', 1033, '参数删除', 106, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:56', 1034, '参数导出', 106, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:57', 1035, '公告查询', 107, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:58', 1036, '公告新增', 107, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:18:59', 1037, '公告修改', 107, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:00', 1038, '公告删除', 107, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:01', 1039, '操作查询', 500, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:query', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:02', 1040, '操作删除', 500, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:remove', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:03', 1041, '日志导出', 500, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:export', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:04', 1042, '登录查询', 501, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:query', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:05', 1043, '登录删除', 501, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:remove', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:06', 1044, '日志导出', 501, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:export', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:07', 1045, '账户解锁', 501, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:unlock', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:08', 1046, '在线查询', 109, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:09', 1047, '批量强退', 109, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:10', 1048, '单条强退', 109, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:11', 1049, '任务查询', 110, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:12', 1050, '任务新增', 110, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:13', 1051, '任务修改', 110, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:14', 1052, '任务删除', 110, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:15', 1053, '状态修改', 110, 5, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:16', 1054, '任务导出', 110, 6, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:17', 1055, '生成查询', 116, 1, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:18', 1056, '生成修改', 116, 2, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:19', 1057, '生成删除', 116, 3, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:20', 1058, '导入代码', 116, 4, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:21', 1059, '预览代码', 116, 5, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:19:22', 1060, '生成代码', 116, 6, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2024-04-25 11:38:38', '', NULL, '');


CREATE TABLE ruoyi.sys_notice (
  ts TIMESTAMP,
  notice_id INT,
  notice_title NCHAR(50),
  notice_type NCHAR(1),
  notice_content NCHAR(255),
  status NCHAR(1),
  create_by NCHAR(64),
  create_time TIMESTAMP,
  update_by NCHAR(64),
  update_time TIMESTAMP,
  remark NCHAR(255)
);
INSERT INTO ruoyi.sys_notice VALUES
    ('2024-10-16 09:17:58', 1, '温馨提醒：2018-07-01 JG新版本发布啦', '2', 0x63D064cBc6e52951de537352278F2bD556A1235C703E, '0', 'admin', '2024-04-25 11:38:38', 'admin', '2024-04-25 11:45:10', '管理员'),
    ('2024-10-16 09:17:59', 2, '维护通知：2018-07-01 jG系统凌晨维护', '1', 0x3C703EE7BBB4E68AA4E58685E5AEB93C2F703E, '0', 'admin', '2024-04-25 11:38:38', 'admin', '2024-04-25 11:45:16', '管理员');


CREATE TABLE ruoyi.sys_oper_log (
  ts TIMESTAMP,
  oper_id BIGINT,
  title NCHAR(50),
  business_type INT,
  method NCHAR(100),
  request_method NCHAR(10),
  operator_type INT,
  oper_name NCHAR(50),
  dept_name NCHAR(50),
  oper_url NCHAR(255),
  oper_ip NCHAR(128),
  oper_location NCHAR(255),
  oper_param NCHAR(2000),
  json_result NCHAR(2000),
  status INT,
  error_msg NCHAR(2000),
  oper_time TIMESTAMP,
  cost_time BIGINT
);
INSERT INTO ruoyi.sys_oper_log VALUES
    ('2024-10-16 09:17:43', 100, '参数管理', 2, 'com.jg.project.system.controller.SysConfigController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/config', '127.0.0.1', '内网IP', '{\"configId\":4,\"configKey\":\"sys.account.captchaEnabled\",\"configName\":\"账号自助-验证码开关\",\"configType\":\"Y\",\"configValue\":\"false\",\"createBy\":\"admin\",\"createTime\":\"2024-04-25 11:38:38\",\"params\":{},\"remark\":\"是否开启验证码功能（true开启，false关闭）\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-04-25 11:40:06', 30),
    ('2024-10-16 09:17:44', 101, '个人信息', 2, 'com.jg.project.system.controller.SysProfileController.updatePwd()', 'PUT', 1, 'admin', '研发部门', '/system/user/profile/updatePwd', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-04-25 11:40:36', 278),
    ('2024-10-16 09:17:45', 102, '用户管理', 2, 'com.jg.project.system.controller.SysUserController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"admin\",\"createTime\":\"2024-04-25 11:38:38\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100,101\",\"children\":[],\"deptId\":105,\"deptName\":\"测试部门\",\"leader\":\"若依\",\"orderNum\":3,\"params\":{},\"parentId\":101,\"status\":\"0\"},\"deptId\":105,\"email\":\"JG@qq.com\",\"loginDate\":\"2024-04-25 11:38:38\",\"loginIp\":\"127.0.0.1\",\"nickName\":\"若依\",\"params\":{},\"phonenumber\":\"15666666666\",\"postIds\":[2],\"remark\":\"测试员\",\"roleIds\":[2],\"roles\":[{\"admin\":false,\"dataScope\":\"2\",\"deptCheckStrictly\":false,\"flag\":false,\"menuCheckStrictly\":false,\"params\":{},\"roleId\":2,\"roleKey\":\"common\",\"roleName\":\"普通角色\",\"roleSort\":2,\"status\":\"0\"}],\"sex\":\"1\",\"status\":\"0\",\"updateBy\":\"admin\",\"userId\":2,\"userName\":\"ry\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-04-25 11:41:06', 36),
    ('2024-10-16 09:17:46', 103, '代码生成', 6, 'com.jg.project.tool.gen.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"sys_config,sys_dict_data,sys_dict_type,sys_job,sys_job_log,sys_logininfor,sys_menu,sys_notice,sys_oper_log,sys_post,sys_role,sys_role_dept,sys_role_menu,sys_user,sys_user_post,sys_user_role,sys_dept\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-04-25 11:41:54', 362),
    ('2024-10-16 09:17:47', 104, '菜单管理', 3, 'com.jg.project.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/4', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"菜单已分配,不允许删除\",\"code\":601}', 0, NULL, '2024-04-25 11:42:04', 5),
    ('2024-10-16 09:17:48', 105, '菜单管理', 3, 'com.jg.project.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/115', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"菜单已分配,不允许删除\",\"code\":601}', 0, NULL, '2024-04-25 11:42:12', 3),
    ('2024-10-16 09:17:49', 106, '部门管理', 2, 'com.jg.project.system.controller.SysDeptController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0\",\"children\":[],\"deptId\":100,\"deptName\":\"JG科技\",\"email\":\"JG@qq.com\",\"leader\":\"jG\",\"orderNum\":0,\"params\":{},\"parentId\":0,\"phone\":\"15888888888\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-04-25 11:42:35', 10),
    ('2024-10-16 09:17:50', 107, '菜单管理', 3, 'com.jg.project.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/4', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"菜单已分配,不允许删除\",\"code\":601}', 0, NULL, '2024-04-25 11:43:29', 6),
    ('2024-10-16 09:17:51', 108, '通知公告', 2, 'com.jg.project.system.controller.SysNoticeController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/notice', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-04-25 11:38:38\",\"noticeContent\":\"<p>新版本内容</p>\",\"noticeId\":1,\"noticeTitle\":\"温馨提醒：2018-07-01 JG新版本发布啦\",\"noticeType\":\"2\",\"params\":{},\"remark\":\"管理员\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-04-25 11:45:10', 10),
    ('2024-10-16 09:17:52', 109, '通知公告', 2, 'com.jg.project.system.controller.SysNoticeController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/notice', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-04-25 11:38:38\",\"noticeContent\":\"<p>维护内容</p>\",\"noticeId\":2,\"noticeTitle\":\"维护通知：2018-07-01 jG系统凌晨维护\",\"noticeType\":\"1\",\"params\":{},\"remark\":\"管理员\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-04-25 11:45:16', 7),
    ('2024-10-16 09:17:53', 110, '菜单管理', 3, 'com.jg.project.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/115', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"菜单已分配,不允许删除\",\"code\":601}', 0, NULL, '2024-04-25 11:45:45', 3),
    ('2024-10-16 09:17:54', 111, '菜单管理', 3, 'com.jg.project.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/115', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"菜单已分配,不允许删除\",\"code\":601}', 0, NULL, '2024-04-25 11:46:07', 3),
    ('2024-10-16 09:17:55', 112, '角色管理', 2, 'com.jg.project.system.controller.SysRoleController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-04-25 11:38:38\",\"dataScope\":\"2\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[3,1,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,102,1012,1013,1014,1015,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,105,1025,1026,1027,1028,1029,106,1030,1031,1032,1033,1034,107,1035,1036,1037,1038,108,500,1039,1040,1041,501,1042,1043,1044,1045,2,109,1046,1047,1048,110,1049,1050,1051,1052,1053,1054,111,112,113,114,116,1055,1056,1057,1058,1059,1060,117],\"params\":{},\"remark\":\"普通角色\",\"roleId\":2,\"roleKey\":\"common\",\"roleName\":\"普通角色\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-04-25 11:47:47', 20),
    ('2024-10-16 09:17:56', 113, '菜单管理', 3, 'com.jg.project.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/115', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-04-25 11:47:56', 9),
    ('2024-10-16 09:17:57', 114, '菜单管理', 3, 'com.jg.project.system.controller.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/4', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-04-25 11:47:59', 11);


CREATE TABLE ruoyi.sys_post (
  ts TIMESTAMP,
  post_id BIGINT,
  post_code NCHAR(64),
  post_name NCHAR(50),
  post_sort INT,
  status NCHAR(1),
  create_by NCHAR(64),
  create_time TIMESTAMP,
  update_by NCHAR(64),
  update_time TIMESTAMP,
  remark NCHAR(500)
);
INSERT INTO ruoyi.sys_post VALUES
    ('2024-10-16 09:17:39', 1, 'ceo', '董事长', 1, '0', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:17:40', 2, 'se', '项目经理', 2, '0', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:17:41', 3, 'hr', '人力资源', 3, '0', 'admin', '2024-04-25 11:38:38', '', NULL, ''),
    ('2024-10-16 09:17:42', 4, 'user', '普通员工', 4, '0', 'admin', '2024-04-25 11:38:38', '', NULL, '');


CREATE TABLE ruoyi.sys_role (
  ts TIMESTAMP,
  role_id BIGINT,
  role_name NCHAR(30),
  role_key NCHAR(100),
  role_sort INT,
  data_scope NCHAR(1),
  menu_check_strictly TINYINT,
  dept_check_strictly TINYINT,
  status NCHAR(1),
  del_flag NCHAR(1),
  create_by NCHAR(64),
  create_time TIMESTAMP,
  update_by NCHAR(64),
  update_time TIMESTAMP,
  remark NCHAR(500)
);
INSERT INTO ruoyi.sys_role VALUES
    ('2024-10-16 09:17:37', 1, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2024-04-25 11:38:38', '', NULL, '超级管理员'),
    ('2024-10-16 09:17:38', 2, '普通角色', 'common', 2, '2', 1, 1, '0', '0', 'admin', '2024-04-25 11:38:38', 'admin', '2024-04-25 11:47:47', '普通角色');


CREATE TABLE ruoyi.sys_role_dept (
  ts TIMESTAMP,
  role_id BIGINT,
  dept_id BIGINT
);
INSERT INTO ruoyi.sys_role_dept VALUES
    ('2024-10-16 09:17:34', 2, 100),
    ('2024-10-16 09:17:35', 2, 101),
    ('2024-10-16 09:17:36', 2, 105);


CREATE TABLE ruoyi.sys_role_menu (
  ts TIMESTAMP,
  role_id BIGINT,
  menu_id BIGINT
);
INSERT INTO ruoyi.sys_role_menu VALUES
    ('2024-10-16 09:16:11', 2, 1),
    ('2024-10-16 09:16:12', 2, 2),
    ('2024-10-16 09:16:13', 2, 3),
    ('2024-10-16 09:16:14', 2, 100),
    ('2024-10-16 09:16:15', 2, 101),
    ('2024-10-16 09:16:16', 2, 102),
    ('2024-10-16 09:16:17', 2, 103),
    ('2024-10-16 09:16:18', 2, 104),
    ('2024-10-16 09:16:19', 2, 105),
    ('2024-10-16 09:16:20', 2, 106),
    ('2024-10-16 09:16:21', 2, 107),
    ('2024-10-16 09:16:22', 2, 108),
    ('2024-10-16 09:16:23', 2, 109),
    ('2024-10-16 09:16:24', 2, 110),
    ('2024-10-16 09:16:25', 2, 111),
    ('2024-10-16 09:16:26', 2, 112),
    ('2024-10-16 09:16:27', 2, 113),
    ('2024-10-16 09:16:28', 2, 114),
    ('2024-10-16 09:16:29', 2, 116),
    ('2024-10-16 09:16:30', 2, 117),
    ('2024-10-16 09:16:31', 2, 500),
    ('2024-10-16 09:16:32', 2, 501),
    ('2024-10-16 09:16:33', 2, 1000),
    ('2024-10-16 09:16:34', 2, 1001),
    ('2024-10-16 09:16:35', 2, 1002),
    ('2024-10-16 09:16:36', 2, 1003),
    ('2024-10-16 09:16:37', 2, 1004),
    ('2024-10-16 09:16:38', 2, 1005),
    ('2024-10-16 09:16:39', 2, 1006),
    ('2024-10-16 09:16:40', 2, 1007),
    ('2024-10-16 09:16:41', 2, 1008),
    ('2024-10-16 09:16:42', 2, 1009),
    ('2024-10-16 09:16:43', 2, 1010),
    ('2024-10-16 09:16:44', 2, 1011),
    ('2024-10-16 09:16:45', 2, 1012),
    ('2024-10-16 09:16:46', 2, 1013),
    ('2024-10-16 09:16:47', 2, 1014),
    ('2024-10-16 09:16:48', 2, 1015),
    ('2024-10-16 09:16:49', 2, 1016),
    ('2024-10-16 09:16:50', 2, 1017),
    ('2024-10-16 09:16:51', 2, 1018),
    ('2024-10-16 09:16:52', 2, 1019),
    ('2024-10-16 09:16:53', 2, 1020),
    ('2024-10-16 09:16:54', 2, 1021),
    ('2024-10-16 09:16:55', 2, 1022),
    ('2024-10-16 09:16:56', 2, 1023),
    ('2024-10-16 09:16:57', 2, 1024),
    ('2024-10-16 09:16:58', 2, 1025),
    ('2024-10-16 09:16:59', 2, 1026),
    ('2024-10-16 09:17:00', 2, 1027),
    ('2024-10-16 09:17:01', 2, 1028),
    ('2024-10-16 09:17:02', 2, 1029),
    ('2024-10-16 09:17:03', 2, 1030),
    ('2024-10-16 09:17:04', 2, 1031),
    ('2024-10-16 09:17:05', 2, 1032),
    ('2024-10-16 09:17:06', 2, 1033),
    ('2024-10-16 09:17:07', 2, 1034),
    ('2024-10-16 09:17:08', 2, 1035),
    ('2024-10-16 09:17:09', 2, 1036),
    ('2024-10-16 09:17:10', 2, 1037),
    ('2024-10-16 09:17:11', 2, 1038),
    ('2024-10-16 09:17:12', 2, 1039),
    ('2024-10-16 09:17:13', 2, 1040),
    ('2024-10-16 09:17:14', 2, 1041),
    ('2024-10-16 09:17:15', 2, 1042),
    ('2024-10-16 09:17:16', 2, 1043),
    ('2024-10-16 09:17:17', 2, 1044),
    ('2024-10-16 09:17:18', 2, 1045),
    ('2024-10-16 09:17:19', 2, 1046),
    ('2024-10-16 09:17:20', 2, 1047),
    ('2024-10-16 09:17:21', 2, 1048),
    ('2024-10-16 09:17:22', 2, 1049),
    ('2024-10-16 09:17:23', 2, 1050),
    ('2024-10-16 09:17:24', 2, 1051),
    ('2024-10-16 09:17:25', 2, 1052),
    ('2024-10-16 09:17:26', 2, 1053),
    ('2024-10-16 09:17:27', 2, 1054),
    ('2024-10-16 09:17:28', 2, 1055),
    ('2024-10-16 09:17:29', 2, 1056),
    ('2024-10-16 09:17:30', 2, 1057),
    ('2024-10-16 09:17:31', 2, 1058),
    ('2024-10-16 09:17:32', 2, 1059),
    ('2024-10-16 09:17:33', 2, 1060);


CREATE TABLE ruoyi.sys_user (
  ts TIMESTAMP,
  user_id BIGINT,
  dept_id BIGINT,
  user_name NCHAR(30),
  nick_name NCHAR(30),
  user_type NCHAR(2),
  email NCHAR(50),
  phonenumber NCHAR(11),
  sex NCHAR(1),
  avatar NCHAR(100),
  password NCHAR(100),
  status NCHAR(1),
  del_flag NCHAR(1),
  login_ip NCHAR(128),
  login_date TIMESTAMP,
  create_by NCHAR(64),
  create_time TIMESTAMP,
  update_by NCHAR(64),
  update_time TIMESTAMP,
  remark NCHAR(500)
);
INSERT INTO ruoyi.sys_user VALUES
    ('2024-10-16 09:16:09', 1, 103, 'admin', 'JG', '00', 'JG@163.com', '15888888888', '1', '', '\$2a\$10$KxFrHawES2kSeWRn.gTxTuzoNNkW/v6XkPnxw5WFbpWWj2Ki8k77y', '0', '0', '127.0.0.1', '2024-04-25 11:48:56', 'admin', '2024-04-25 11:38:38', '', '2024-04-25 11:48:55', '管理员'),
    ('2024-10-16 09:16:10', 2, 105, 'jg', 'JG1', '00', 'JG@qq.com', '15666666666', '1', '', '\$2a\$10\$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2024-04-25 11:38:38', 'admin', '2024-04-25 11:38:38', 'admin', '2024-04-25 11:41:06', '测试员');


CREATE TABLE ruoyi.sys_user_post (
  ts TIMESTAMP,
  user_id BIGINT,
  post_id BIGINT
);
INSERT INTO ruoyi.sys_user_post VALUES 
	('2024-10-16 09:16:09', 1, 1),
	('2024-10-16 09:16:10', 2, 2);


CREATE TABLE ruoyi.sys_user_role (
  ts TIMESTAMP,
  user_id BIGINT,
  role_id BIGINT
);
INSERT INTO ruoyi.sys_user_role VALUES 
    ('2024-10-16 09:16:09', 1, 1),
    ('2024-10-16 09:16:10', 2, 2);






